xmltooling::HTTPSOAPTransport Class Referenceabstract

Encapsulates HTTP SOAP transport layer. More...

`#include <xmltooling/soap/HTTPSOAPTransport.h>`

Inheritance diagram for xmltooling::HTTPSOAPTransport:
[legend]
Collaboration diagram for xmltooling::HTTPSOAPTransport:
[legend]

## Public Member Functions

virtual bool | useChunkedEncoding (bool chunked=true)=0
| Indicate whether content should be sent using HTTP 1.1 and Chunked Transport-Encoding, or buffered and sent with a Content-Length.
virtual bool | setRequestHeader (const char *name, const char *value)=0
| Sets an outgoing HTTP request header.
virtual bool | setAcceptEncoding (const char *value)=0
| Sets the Accept-Encoding header.
virtual bool | followRedirects (bool follow, unsigned int maxRedirs)
| Controls redirect behavior.
virtual const std::vector< std::string > & | getResponseHeader (const char *name) const =0
| Returns the values of an HTTP response header.
Public Member Functions inherited from xmltooling::SOAPTransport
virtual bool | isConfidential () const =0
| Indicates whether transport provides confidentiality.
virtual bool | setConnectTimeout (long timeout)=0
| Sets the connection timeout.
virtual bool | setTimeout (long timeout)=0
| Sets the request timeout.
virtual bool | setAuth (transport_auth_t authType, const char *username=0, const char *password=0)=0
| Sets a particular form of transport authentication and credentials.
virtual bool | setVerifyHost (bool verify)=0
| Determines whether TLS/SSL connections include a check of the server's certificate against the expected hostname or address.
virtual bool | setCredential (const Credential *credential=0)=0
| Supplies transport credentials.
virtual bool | setTrustEngine (const X509TrustEngine *trustEngine=0, const CredentialResolver *credResolver=0, CredentialCriteria *criteria=0, bool mandatory=true)=0
| Provides an X509TrustEngine to the transport to authenticate the transport peer.
virtual bool | setCacheTag (std::string *cacheTag=0)
| Installs (or clears) a pointer to an object used for cache management of the content being accessed.
virtual bool | setProviderOption (const char *provider, const char *option, const char *value)
| Sets an implementation-specific transport provider option.
virtual void | send (std::istream &in)=0
| Sends a stream of data over the transport.
virtual void | send (std::istream *in=0)
| Sends an optional stream of data over the transport.
virtual std::istream & | receive ()=0
| Returns reference to response stream.
virtual bool | isAuthenticated () const =0
| Returns result of authenticating transport peer.
virtual std::string | getContentType () const =0
| Returns the MIME type of the response, if any.
virtual long | getStatusCode () const
| Returns the status code of the response.

## Additional Inherited Members

Public Types inherited from xmltooling::SOAPTransport
enum | transport_auth_t { transport_auth_none = 0 , transport_auth_basic = 1 , transport_auth_digest = 2 , transport_auth_ntlm = 3 , transport_auth_gss = 4 }
| Common types of transport authentication that may be supported.

## Detailed Description

Encapsulates HTTP SOAP transport layer.

## Member Function Documentation

## followRedirects()

virtual bool xmltooling::HTTPSOAPTransport::followRedirects | ( | bool | follow,
|  | unsigned int | maxRedirs )

virtual

Controls redirect behavior.

Parameters

  follow | true iff Location-based redirects should be honored
  maxRedirs | maximum number of redirects to permit

## getResponseHeader()

virtual const std::vector< std::string > & xmltooling::HTTPSOAPTransport::getResponseHeader | ( | const char * | name | ) | const

pure virtual

Returns the values of an HTTP response header.

Parameters

  name | name of header, without the colon separator

Returns
  reference to array of header values

## setAcceptEncoding()

virtual bool xmltooling::HTTPSOAPTransport::setAcceptEncoding | ( | const char * | value | ) |

pure virtual

Sets the Accept-Encoding header.

Parameters

  value | the encoding to accept and decode, or "" for all supported encodings

Returns
  true iff the encoding is successfully set

## setRequestHeader()

virtual bool xmltooling::HTTPSOAPTransport::setRequestHeader | ( | const char * | name,
|  | const char * | value )

pure virtual

Sets an outgoing HTTP request header.

Parameters

  name | name of header, without the colon separator
  value | header value to send

Returns
  true iff the header is successfully set

## useChunkedEncoding()

virtual bool xmltooling::HTTPSOAPTransport::useChunkedEncoding | ( | bool | chunked = true | ) |

pure virtual

Indicate whether content should be sent using HTTP 1.1 and Chunked Transport-Encoding, or buffered and sent with a Content-Length.

Parameters

  chunked | true iff chunked encoding should be used

Returns
  true iff the property is successfully set

The documentation for this class was generated from the following file:

- xmltooling/soap/HTTPSOAPTransport.h